$LOAD_PATH << File.dirname(__FILE__)

require 'faraday'
require 'faraday_middleware'

directory = File.expand_path(File.dirname(__FILE__))

require 'glomper/request'
require 'glomper/client'

module Glomper
  API = {
    User: {
      url: 'users',
      methods: {
      },
      actions: {
      },
      aspects: {
        info: []
      }
    },
    Event: {
      url: 'events',
      methods: {
      },
      actions: {
      },
      aspects: {
        feed: [],
        images: []
      }
    },
    Place: {
      url: 'places',
      methods: {
        nearby: ['latitude', 'longitude']
      },
      actions: {
      },
      aspects: {
        info: [],
        feed: [],
        images: [],
        checkins_count:[]
      }
    }
  }
  
end

